Impossible to send transactional mails in 4.15.0

Hi,

I just updated to 4.15.0 and I can’t send transactional mails anymore (sign in, sign up and update mails), my config was working fine in 4.14.0. The newsletter is still working.

I tried to change my SES mail config to a Mailgun one, but the problem is still there.

I just saw this in the changelog, It’s probably related: https://github.com/TryGhost/Ghost/security/advisories/GHSA-wfrj-qqc2-83cm

Can you share your config and roll back to 4.13 for now? We’ll take a look :slight_smile:

To be clear: the security advisory only impacts sendmail, so you’re safe to rollback. It was important that we got a fix for sendmail out quickly, I’m sorry that it’s caused mail to break for you, but we’ll figure that out next week and push further fixes to make sure transactional mail works for everyone again.

1 Like

Thank you Hannah. I’m rolling back then. :slightly_smiling_face:

Hey @Kiwi! :wave: This should be fixed in 4.15.1, so please update using Ghost-CLI. If the issue persists, please paste your logs and we’ll do our best to investigate again :slightly_smiling_face:

1 Like

Hi,
Everything is working fine now in 4.16.0. Thank you! :slightly_smiling_face: